# include/board/Point.h File Reference

The Point structure. . More...

`#include <cmath>`

Go to the source code of this file.

## Classes

struct | LibBoard::Point
| Struct representing a 2D point. More...

## Functions

Point | LibBoard::operator+ (const Point &a, const Point &b)
Point | LibBoard::operator- (const Point &a, const Point &b)
double | LibBoard::operator* (const Point &a, const Point &b)
Point | LibBoard::operator* (const Point &p, double s)
Point | LibBoard::operator* (double s, const Point &p)
Point | LibBoard::operator/ (const Point &p, double s)
bool | LibBoard::operator== (const Point &a, const Point &b)
bool | LibBoard::operator!= (const Point &a, const Point &b)

## Detailed Description

The Point structure. .

Author:
  Sebastien Fourey <http://www.greyc.ensicaen.fr/~seb>

Date:
  Sat Aug 18 2007